Bug 999781 - add-user.sh script (org.jboss.as.domain-add-user) seem to be broken
Summary: add-user.sh script (org.jboss.as.domain-add-user) seem to be broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jboss-as
Version: 19
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-22 06:05 UTC by Sebastien Pasche
Modified: 2013-09-14 02:41 UTC (History)
2 users (show)

Fixed In Version: jboss-as-7.1.1-21.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-14 02:41:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Sebastien Pasche 2013-08-22 06:05:33 UTC
Description of problem:

Trying to create user on command line and it raise an exception about object being null.

[root@mgbsy7a19 bin]# /usr/share/jboss-as/bin/add-user.sh admin admin
Exception in thread "main" java.lang.IllegalStateException: JBAS015232: No java.io.Console available to interact with user.
	at org.jboss.as.domain.management.security.AddPropertiesUser.<init>(AddPropertiesUser.java:112)
	at org.jboss.as.domain.management.security.AddPropertiesUser.<init>(AddPropertiesUser.java:123)
	at org.jboss.as.domain.management.security.AddPropertiesUser.main(AddPropertiesUser.java:171)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at org.jboss.modules.Module.run(Module.java:260)
	at org.jboss.modules.Main.main(Main.java:291)


Version-Release number of selected component (if applicable):

[root@mgbsy7a19 bin]# rpm -qa | grep jboss-as
jboss-as-7.1.1-20.fc19.noarch


How reproducible:

Install jboss and try to create a user

Steps to Reproduce:
1. instlal jboss-as
2. Try to use user-add.sh script to add a user
3.

Actual results:

Nothing

Expected results:

A freshly created user

Additional info:

Comment 1 Sebastien Pasche 2013-08-22 06:20:10 UTC
The script is working in interactive mode.

But still can't be used in Kickstart file or any automation process :-)

Comment 2 Marek Goldmann 2013-09-05 06:58:42 UTC
This is a bug in JBoss AS. It was reported upstream: https://issues.jboss.org/browse/AS7-5061 and fixed. I'm going to cherry-pick these changes and submit an update.

Comment 3 Fedora Update System 2013-09-05 09:50:10 UTC
jboss-as-7.1.1-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jboss-as-7.1.1-21.fc19

Comment 4 Sebastien Pasche 2013-09-05 11:07:29 UTC
Working fine thx !

Comment 5 Fedora Update System 2013-09-06 05:17:48 UTC
Package jboss-as-7.1.1-21.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-as-7.1.1-21.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15909/jboss-as-7.1.1-21.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-09-14 02:41:30 UTC
jboss-as-7.1.1-21.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.